<?php
/**
 * @version   1.1 November 13, 2012
 * @author    RocketTheme http://www.rockettheme.com
 * @copyright Copyright (C) 2007 - 2012 RocketTheme, LLC
 * @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 */
// no direct access
defined('ABSPATH') or die('Restricted access');
?>

<?php global $post, $posts, $query_string, $wp_query; ?>

	<div class="rt-wordpress">
		<div class="rt-archive">

			<?php /** Begin Query Setup **/ ?>
			
			<?php $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
			
			if (is_category()) {
				$post_count = $gantry->get('category-count');
				$page_title = $gantry->get('category-page-title');
				$custom_page_title = $gantry->get('category-custom-page-title');
				$title = $gantry->get('category-title');
				$title_link = $gantry->get('category-link-title');
				$author = $gantry->get('category-meta-author');
				$date = $gantry->get('category-meta-date');
				$comments = $gantry->get('category-meta-comments');
				$comments_link = $gantry->get('category-meta-link-comments');
				$modified = $gantry->get('category-meta-modified');
				$content = $gantry->get('category-content');
				$readmore = $gantry->get('category-readmore');
			} else if (is_tag()) {
				$post_count = $gantry->get('tags-count');
				$page_title = $gantry->get('tags-page-title');
				$custom_page_title = $gantry->get('tags-custom-page-title');
				$title = $gantry->get('tags-title');
				$title_link = $gantry->get('tags-link-title');
				$author = $gantry->get('tags-meta-author');
				$date = $gantry->get('tags-meta-date');
				$comments = $gantry->get('tags-meta-comments');
				$comments_link = $gantry->get('tags-meta-link-comments');
				$modified = $gantry->get('tags-meta-modified');
				$content = $gantry->get('tags-content');
				$readmore = $gantry->get('tags-readmore');
			} else {
				$post_count = $gantry->get('archive-count');
				$page_title = $gantry->get('archive-page-title');
				$custom_page_title = $gantry->get('archive-custom-page-title');
				$title = $gantry->get('archive-title');
				$title_link = $gantry->get('archive-link-title');
				$author = $gantry->get('archive-meta-author');
				$date = $gantry->get('archive-meta-date');
				$comments = $gantry->get('archive-meta-comments');
				$comments_link = $gantry->get('archive-meta-link-comments');
				$modified = $gantry->get('archive-meta-modified');
				$content = $gantry->get('archive-content');
				$readmore = $gantry->get('archive-readmore');
			}
			
			$query = $wp_query->query;

			if (!is_array($query)) parse_str($query, $query); 
			
			$custom_query = new WP_Query(array_merge($query, array('posts_per_page' => $post_count, 'paged' => $paged))); ?>

			<?php /** End Query Setup **/ ?>
	
			<?php if($custom_query->have_posts()) : ?>
			
			<?php /** Begin Page Title **/ ?>
			
			<?php if($page_title) : ?>
			
				<?php if($custom_page_title != '') : ?>
				
					<h1 class="rt-pagetitle"><?php echo strip_tags($custom_page_title); ?></h1>
				
				<?php else : ?>
																													
					<?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
					<?php /* If this is a category archive */ if (is_category()) { ?>
						<h1 class="rt-pagetitle"><?php _re('Category:'); ?> <?php single_cat_title(); ?></h1>
					<?php /* If this is a tag archive */ } elseif( is_tag() ) { ?>
						<h1 class="rt-pagetitle"><?php _re('Posts Tagged'); ?> &#8216;<?php single_tag_title(); ?>&#8217;</h1>
					<?php /* If this is a daily archive */ } elseif (is_day()) { ?>
						<h1 class="rt-pagetitle"><?php _re('Archive for'); ?> <?php the_time('F jS, Y'); ?></h1>
							<?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
						<h1 class="rt-pagetitle"><?php _re('Archive for'); ?> <?php the_time('F, Y'); ?></h1>
					<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
						<h1 class="rt-pagetitle"><?php _re('Archive for'); ?> <?php the_time('Y'); ?></h1>
					<?php /* If this is an author archive */ } elseif (is_author()) { ?>
						<h1 class="rt-pagetitle"><?php _re('Author Archive'); ?></h1>
					<?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
						<h1 class="rt-pagetitle"><?php _re('Blog Archives'); ?></h1>
					<?php } ?>

				<?php endif; ?>

			<?php endif; ?>
			
			<?php /** End Page Title **/ ?>

			<?php /** Begin Posts **/ ?>
															
			<?php while ($custom_query->have_posts()) : $custom_query->the_post(); ?>
			
			<div class="rt-article">								
				<div <?php post_class(); ?> id="post-<?php the_ID(); ?>">		
					<div class="article-header">

						<?php /** Begin Title **/ ?>
				
						<?php if($title) : ?>
						
							<?php if($title_link) : ?>
							
								<div class="module-title">
									<div class="module-title2">
										<div class="module-title3">
											<h1 class="title">
												<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a>
											</h1>
										</div>
									</div>
								</div>
							
							<?php else : ?>
								
								<div class="module-title">
									<div class="module-title2">
										<div class="module-title3">
											<h1 class="title">
												<?php the_title(); ?>
											</h1>
										</div>
									</div>
								</div>
								
							<?php endif; ?>
							
						<?php endif; ?>

						<div class="clear"></div>
						
						<?php /** End Title **/ ?>

						<?php /** Begin Meta **/ ?>

						<?php if($comments || $date || $modified || $author) : ?>

						<div class="rt-articleinfo">
							<div class="rt-articleinfo-text">
								<div class="rt-articleinfo-text2">

									<?php /** Begin Date & Time **/ ?>

									<?php if($date) : ?>

										<span class="rt-date-posted"><!--<?php _re('Posted on'); ?> --> <?php the_time('d F Y'); ?></span>

									<?php endif; ?>

									<?php /** End Date & Time **/ ?>

									<?php /** Begin Modified Date **/ ?>

									<?php if($modified) : ?>

										<span class="rt-date-modified"><?php _re('Last Updated on'); ?> <?php the_modified_date('d F Y'); ?></span>

									<?php endif; ?>

									<?php /** End Modified Date **/ ?>

									<?php /** Begin Author **/ ?>

									<?php if($author) : ?>

										<span class="rt-author"><!--<?php _re('Written by'); ?> --><?php the_author(); ?></span>

									<?php endif; ?>

									<?php /** End Author **/ ?>

									<?php /** Begin Comments Count **/ ?>

									<?php if($comments) : ?>

										<?php if($comments_link) : ?>

											<span class="rt-comments-count">
												<a href="<?php the_permalink(); ?>#comments">
													<?php comments_number(_r('0 Comments'), _r('1 Comment'), _r('% Comments')); ?>
												</a>
											</span>

										<?php else : ?>

											<span class="rt-comments-count"><?php comments_number(_r('0 Comments'), _r('1 Comment'), _r('% Comments')); ?></span>

										<?php endif; ?>

									<?php endif; ?>

									<?php /** End Comments Count **/ ?>

								</div>
							</div>
							<div class="clear"></div>
						</div>

						<?php endif; ?>

						<?php /** End Meta **/ ?>
					
					</div>

					<?php /** Begin Thumbnail **/ ?>
						
					<?php if(function_exists('the_post_thumbnail') && has_post_thumbnail()) : ?>

						<p>
							<?php the_post_thumbnail('gantryThumb', array('class' => 'rt-image '.$gantry->get('thumb-position'))); ?>			
						</p>
					
					<?php endif; ?>

					<?php /** End Thumbnail **/ ?>
						
					<?php /** Begin Post Content **/ ?>	
				
					<?php if($content == 'content') : ?>
					
						<?php the_content(false); ?>
										
					<?php else : ?>
										
						<?php the_excerpt(); ?>
											
					<?php endif; ?>
					
					<?php if(preg_match('/<!--more(.*?)?-->/', $post->post_content)) : ?>
					
						<p class="rt-readon-surround">																			
							<a href="<?php the_permalink(); ?>" class="readon"><span><?php echo $readmore; ?></span></a>
						</p>
					
					<?php endif; ?>
					
					<?php /** End Post Content **/ ?>

				</div>
			</div>
			
			<?php endwhile; ?>
			
			<?php /** End Posts **/ ?>

			<?php /** Navigation Posts **/ ?>
											
			<?php if($custom_query->max_num_pages > 1) : ?>
					
			<div class="rt-pagination nav">
				<div class="alignleft">
					<?php next_posts_link('&laquo; '._r('Older Entries'), $custom_query->max_num_pages); ?>
				</div>
				<div class="alignright">
					<?php previous_posts_link(_r('Newer Entries').' &raquo;', $custom_query->max_num_pages); ?>
				</div>
				<div class="clear"></div>
			</div>
						
			<?php endif; ?>
	
			<?php /** End Navigation **/ ?>
			
			<?php else : ?>
																																	
			<h1 class="rt-pagetitle">
				<?php _re("Sorry, but there aren't any posts matching your query."); ?>
			</h1>
															
			<?php endif; ?>
															
			<?php wp_reset_query(); ?>
	
		</div>
	</div>