<?php 
/**
 * @version   1.1 November 13, 2012
 * @author    RocketTheme http://www.rockettheme.com
 * @copyright Copyright (C) 2007 - 2012 RocketTheme, LLC
 * @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 */

$global_option = get_option('widget_rokweather_globals');
$default_unit = $global_option['default_degree'];
$units_switch = $instance['units_switch'];

$old_large_icon_url = $weather->icon;
$large_icon = basename($old_large_icon_url);

$icon_url = get_bloginfo('template_url');

$override_location = $instance['location_override'];
if (strlen($override_location) > 0) $weather_location = $override_location;

$user_interaction = $global_option['user_interaction'];

$interaction_cls = "";
$degf_style = "";
$degc_style = "";
$input_type = "text";
if ($user_interaction == '0') {
	$input_type = "hidden";
	$interaction_cls = " rokweather-nointeraction";
	if ($default_unit == '1') {
		$degc_style = "style='display:block;'";
		$degf_style = "style='display:none;'";
	} else {
		$degf_style = "style='display:block;'";
		$degc_style = "style='display:none;'";
	}
}
?>
<div class="dual-bg">
	<div class="dual-bg1">
		<div class="dual-bg2">
			<div class="dual-bg3">
				<div id="rokweather-<?php echo $widget_id; ?>" class="rokweather-widget<?php echo $interaction_cls; ?>">
					<div id="rokweather">
					
					    <div class="leftbit">
					        <div class="icon">
					            <?php if ($instance['enable_icon'] == '1') : ?>
					            <img src="<?php echo $icon_url."/images/weather/".$large_icon; ?>" alt="" />
					            <?php endif; ?>
					            <div class="degf" <?php echo $degf_style; ?>><?php echo $weather->current_temp_f;?>&deg;</div>
					            <div class="degc" <?php echo $degc_style; ?>><?php echo $weather->current_temp_c;?>&deg;</div>
					        </div>
								
							<?php if ($units_switch == '1') : ?>
					        	<div class="degrees"><span class="active">&deg;F</span> | <span>&deg;C</span></div>
							<?php endif; ?>
							<?php if ($units_switch == '0' && $default_unit == '1') : ?>
					        	<div class="degrees"><span style="display:none;">&deg;F</span><span class="active">&deg;C</span></div>
							<?php endif; ?>
							<?php if ($units_switch == '0' && $default_unit == '0') : ?>
					        	<div class="degrees"><span class="active">&deg;F</span><span style="display:none;">&deg;C</span></div>
							<?php endif; ?>
					    </div>
					    
					    
					    <div class="content">
							<?php if ($user_interaction == '0') : ?>
							<h5><?php echo $weather_location; ?></h5>
							<?php endif; ?>
					        <div class="location">
					        <form action="<?php echo str_replace("&", "&amp;", $url); ?>" method="post">
					        <input type="<?php echo $input_type; ?>" name="weather_location" value="<?php echo $weather_location; ?>" /> 
					        <input type="hidden" name="module_id" value="<?php echo $widget_id; ?>" />
					        </form>
					        </div>
							<div class="rokweather-wrapper">
						        <?php if (isset($weather->error)) :?>
						        <div class="row error"><?php echo $weather->error; ?></div>    
						        <?php else: ?>
						        <div class="row"><?php echo $weather->current_condition; ?></div>
						        <?php if ($instance['enable_humidity'] == '1') : ?>
						        <div class="row"><?php echo $weather->current_humidity; ?></div>
						        <?php endif; ?>
						        <?php if ($instance['enable_wind'] == '1' && $weather->current_wind) : ?>
						        <div class="row"><?php echo $weather->current_wind; ?></div>
						        <?php endif; ?>
						        
								<?php if ($instance['enable_forecast'] == '1'): ?>
						        <div class="forecast">
					
								<?php
									$weather->forecast = array_slice($weather->forecast, 0, $instance['forcast_show']);
								?>
							
						            <?php foreach ($weather->forecast as $day): ?>
									<?php
									
										$the_icon = $day['icon'];
										if (stripos($the_icon, 'www.google.com') <= 0) $the_icon = $icon_url."/grey/images/weather/".$day['icon'];
									
									?>
						            <div class="day">
						                <span><?php echo $day['day_of_week']; ?></span><br />
						                   <img src="<?php echo $icon_url."/images/weather/".$day['icon']; ?>" alt="<?php echo $day['condition']; ?>" title="<?php echo $day['condition']; ?>" /><br />
						                <div class="degf" <?php echo $degf_style; ?>>
						                    <span class="low"><?php echo RokWeather::getFTemp($day['low'], $weather->units); ?></span> | 
						                    <span class="high"><?php echo RokWeather::getFTemp($day['high'], $weather->units); ?></span>
						                </div>
						                <div class="degc" <?php echo $degc_style; ?>>
						                    <span class="low"><?php echo RokWeather::getCTemp($day['low'], $weather->units); ?></span> | 
						                    <span class="high"><?php echo RokWeather::getCTemp($day['high'], $weather->units); ?></span>
						                </div>
						            </div>    
						            <?php endforeach; ?>
						        </div>
						        <?php endif; ?>	
					        <?php endif; ?>
							</div>
					    </div>
				    
				    </div>
				</div>
			</div>
		</div>
	</div>
</div>