<?php
/**
 * @version   1.1 November 13, 2012
 * @author    RocketTheme http://www.rockettheme.com
 * @copyright Copyright (C) 2007 - 2012 RocketTheme, LLC
 * @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 */
// no direct access
defined('ABSPATH') or die('Restricted access');
?>

<?php global $post, $posts, $query_string; ?>

	<div class="rt-wordpress">
		<div class="rt-blog">
		
			<?php /** Begin Page Title **/ ?>
	
			<?php if ($gantry->get('blog-page-title') != '') : ?>
			
			<h1 class="rt-pagetitle">
				<?php echo $gantry->get('blog-page-title'); ?>
			</h1>
			
			<?php endif; ?>
			
			<?php /** End Page Title **/ ?>
			
			<?php /** Begin Query Setup **/ ?>

			<?php $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
				
			if ($gantry->get('blog-query') != '') : 
			
				$custom_query = new WP_Query('posts_per_page='.$gantry->get('blog-count').'&paged='.$paged.'&'.$gantry->get('blog-query'));
			
			else :
			
				$custom_query = new WP_Query('posts_per_page='.$gantry->get('blog-count').'&paged='.$paged.'&orderby='.$gantry->get('blog-order').'&cat='.$gantry->get('blog-cat').'&post_type='.$gantry->get('blog-type'));
			
			endif;
			
			?>

			<?php /** End Query Setup **/ ?>

			<?php /** Begin Leading Posts **/ ?>

			<?php if($custom_query->have_posts() && $gantry->get('blog-lead-items') > 0) : ?>

				<?php $leadingcount = 0; 
				if($gantry->get('blog-lead-items') > $gantry->get('blog-count')) $gantry->set('blog-lead-items', $gantry->get('blog-count')); ?>

				<div class="rt-leading-articles">

					<?php while ($custom_query->have_posts()) : $custom_query->the_post(); ?>

					<div class="leading-<?php echo $leadingcount; ?>">
				
						<?php $this->locate_type(array('post-blog.php'), true, false); ?>

					</div>

					<?php $leadingcount++; ?>

					<?php if($leadingcount == $gantry->get('blog-lead-items') || $leadingcount == $gantry->get('blog-count')) break; ?>

					<?php endwhile; ?>

				</div>

			<?php endif; ?>

			<?php /** End Leading Posts **/ ?>

			<?php /** Begin Posts **/ ?>

			<?php if($custom_query->have_posts()) : ?>

				<?php $introcount = ($custom_query->post_count - $leadingcount); 
				$counter = 0; 
				if($gantry->get('blog-columns') <= 0) $gantry->set('blog-columns', 1);
				if($gantry->get('blog-columns') > 4) $gantry->set('blog-columns', 4); ?>

				<div class="rt-teaser-articles">

					<?php while ($custom_query->have_posts()) : $custom_query->the_post(); ?>

					<?php $key = ($custom_query->current_post - $leadingcount) + 1;
					$rowcount = ( ((int)$key - 1) % (int) $gantry->get('blog-columns')) + 1;
					$row = $counter / $gantry->get('blog-columns');

					if ($rowcount == 1) : ?>
					<div class="items-row cols-<?php echo (int) $gantry->get('blog-columns'); ?> <?php echo 'row-' . $row; ?>">
					<?php endif; ?>

					<div class="item column-<?php echo $rowcount;?>">

						<?php $this->locate_type(array('post-blog.php'), true, false); ?>
					
					</div>

					<?php $counter++; ?>
					<?php if (($rowcount == $gantry->get('blog-columns')) || ($counter == $introcount)) : ?>
						<span class="row-separator"></span>
					</div>
					<?php endif; ?>

					<?php endwhile; ?>

				</div>

			<?php endif; ?>

			<?php /** End Posts **/ ?>
			
			<?php /** Begin Navigation **/ ?>
										
			<?php if($custom_query->max_num_pages > 1) : ?>
					
			<div class="rt-pagination nav">
				<div class="alignleft">
					<?php next_posts_link('&laquo; '._r('Older Entries'), $custom_query->max_num_pages); ?>
				</div>
				<div class="alignright">
					<?php previous_posts_link(_r('Newer Entries').' &raquo;', $custom_query->max_num_pages); ?>
				</div>
				<div class="clear"></div>
			</div>
						
			<?php endif; ?>
	
			<?php /** End Navigation **/ ?>
			
		</div>
	</div>