<?php
/**
 * @version   1.1 November 13, 2012
 * @author    RocketTheme http://www.rockettheme.com
 * @copyright Copyright (C) 2007 - 2012 RocketTheme, LLC
 * @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 */
// no direct access
defined('ABSPATH') or die('Restricted access');
?>

<?php global $post, $posts, $query_string, $s, $wp_query; ?>

	<div class="rt-wordpress">
		<div class="rt-search">

			<?php /** Begin Query Setup **/ ?>
			
			<?php $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
			
			$query = $wp_query->query;
			if (!is_array($query)) parse_str($query, $query); 
			
			$custom_query = new WP_Query(array_merge($query, array('posts_per_page' => $gantry->get('search-count'), 'paged' => $paged))); ?>

			<?php /** End Query Setup **/ ?>
	
			<?php if($custom_query->have_posts()) : ?>
			
			<?php if($gantry->get('search-page-title')) : ?>
							
			<h1 class="rt-pagetitle">
				<?php _re('Search Results for'); ?>&nbsp;&#8216;<?php the_search_query(); ?>&#8217;
			</h1>
			
			<?php endif; ?>
															
			<?php while ($custom_query->have_posts()) : $custom_query->the_post(); ?>
			
			<?php
																															
			//$title 	= strip_tags(get_the_title());
			$content 	= strip_tags(strip_shortcodes(get_the_content(false)));
			$excerpt 	= strip_tags(strip_shortcodes(get_the_excerpt()));
			$keys 		= explode(" ",$s);
			//$title	= preg_replace('/('.implode('|', $keys) .')/iu', '<span class="search-excerpt">\0</span>', $title);
			$content 	= preg_replace('/('.implode('|', $keys) .')/iu', '<span class="search-excerpt">\0</span>', $content);
			$excerpt 	= preg_replace('/('.implode('|', $keys) .')/iu', '<span class="search-excerpt">\0</span>', $excerpt);
																				
			?>
		
			<?php /** Begin Post **/ ?>
			
			<div class="rt-article">		
				<div <?php post_class(); ?> id="post-<?php the_ID(); ?>">		
					<div class="article-header">

						<?php /** Begin Title **/ ?>
				
						<?php if($gantry->get('search-title')) : ?>
						
							<?php if($gantry->get('search-link-title')) : ?>
							
								<div class="module-title">
									<div class="module-title2">
										<div class="module-title3">
											<h1 class="title">
												<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a>
											</h1>
										</div>
									</div>
								</div>
							
							<?php else : ?>
								
								<div class="module-title">
									<div class="module-title2">
										<div class="module-title3">
											<h1 class="title">
												<?php the_title(); ?>
											</h1>
										</div>
									</div>
								</div>
								
							<?php endif; ?>
							
						<?php endif; ?>

						<div class="clear"></div>
						
						<?php /** End Title **/ ?>

						<?php /** Begin Meta **/ ?>

						<?php if($gantry->get('search-meta-comments') || $gantry->get('search-meta-date') || $gantry->get('search-meta-modified') || $gantry->get('search-meta-author')) : ?>

						<div class="rt-articleinfo">
							<div class="rt-articleinfo-text">
								<div class="rt-articleinfo-text2">

									<?php /** Begin Date & Time **/ ?>

									<?php if($gantry->get('search-meta-date')) : ?>

										<span class="rt-date-posted"><!--<?php _re('Posted on'); ?> --> <?php the_time('d F Y'); ?></span>

									<?php endif; ?>

									<?php /** End Date & Time **/ ?>

									<?php /** Begin Modified Date **/ ?>

									<?php if($gantry->get('search-meta-modified')) : ?>

										<span class="rt-date-modified"><?php _re('Last Updated on'); ?> <?php the_modified_date('d F Y'); ?></span>

									<?php endif; ?>

									<?php /** End Modified Date **/ ?>

									<?php /** Begin Author **/ ?>

									<?php if($gantry->get('search-meta-author')) : ?>

										<span class="rt-author"><!--<?php _re('Written by'); ?> --><?php the_author(); ?></span>

									<?php endif; ?>

									<?php /** End Author **/ ?>

									<?php /** Begin Comments Count **/ ?>

									<?php if($gantry->get('search-meta-comments')) : ?>

										<?php if($gantry->get('search-meta-link-comments')) : ?>

											<span class="rt-comments-count">
												<a href="<?php the_permalink(); ?>#comments">
													<?php comments_number(_r('0 Comments'), _r('1 Comment'), _r('% Comments')); ?>
												</a>
											</span>

										<?php else : ?>

											<span class="rt-comments-count"><?php comments_number(_r('0 Comments'), _r('1 Comment'), _r('% Comments')); ?></span>

										<?php endif; ?>

									<?php endif; ?>

									<?php /** End Comments Count **/ ?>

								</div>
							</div>
							<div class="clear"></div>
						</div>

						<?php endif; ?>

						<?php /** End Meta **/ ?>

					</div>
					
					<?php /** Begin Thumbnail **/ ?>
						
					<?php if(function_exists('the_post_thumbnail') && has_post_thumbnail()) : ?>

						<p>
							<?php the_post_thumbnail('gantryThumb', array('class' => 'rt-image '.$gantry->get('thumb-position'))); ?>			
						</p>
					
					<?php endif; ?>

					<?php /** End Thumbnail **/ ?>
					
					<?php /** Begin Post Content **/ ?>	
				
					<?php if($gantry->get('search-content') == 'content') : ?>
					
						<p><?php echo $content; ?></p>
										
					<?php else : ?>
										
						<p><?php echo $excerpt; ?></p>
											
					<?php endif; ?>
					
					<?php if(preg_match('/<!--more(.*?)?-->/', $post->post_content)) : ?>
					
						<p class="rt-readon-surround">																			
							<a href="<?php the_permalink(); ?>" class="readon"><span><?php echo $gantry->get('search-readmore'); ?></span></a>
						</p>
					
					<?php endif; ?>
					
					<?php /** End Post Content **/ ?>

				</div>
			</div>
			
			<?php /** End Post **/ ?>
			
			<?php endwhile;?>
			
			<?php /** Begin Navigation **/ ?>
											
			<?php if($custom_query->max_num_pages > 1) : ?>
					
			<div class="rt-pagination nav">
				<div class="alignleft">
					<?php next_posts_link('&laquo; '._r('Older Entries'), $custom_query->max_num_pages); ?>
				</div>
				<div class="alignright">
					<?php previous_posts_link(_r('Newer Entries').' &raquo;', $custom_query->max_num_pages); ?>
				</div>
				<div class="clear"></div>
			</div>
						
			<?php endif; ?>
	
			<?php /** End Navigation **/ ?>
			
			<?php else : ?>
																													
			<h1 class="rt-pagetitle">
				<?php _re("No posts found. Try a different search?"); ?>
			</h1>
															
			<?php endif; ?>
															
			<?php wp_reset_query(); ?>
	
		</div>
	</div>